[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

/usr/lib/perl5/5.6/i386-linux/auto/Opcode/Opcode.so doesn't exist.



I use debian sid, kernel 2.2.18, libc6 2.2.2-1, postgresql 7.0.3-4
After upgrading to perl 5.6.0-19 I haven't been able to use my postgresql function created with LANGUAGE 'plperl'.

Calling function failed with message:
"ERROR:  Load of file /usr/lib/postgresql/lib/plperl.so failed:
/usr/lib/perl5/5.6/i386-linux/auto/Opcode/Opcode.so: cannot load shared
object file: No such file or directory"

After creating a link /usr/lib/perl5/5.6/i386-linux/auto/Opcode->/usr/lib/perl/5.6.0/auto/Opcode everything's begun to work as before.

Is it a bug or I miss anything in my configuration?

Thank you, Mikhail.




Reply to: